=== debian/changelog ===
xrdp (0.9.1-9+deb9u3) stretch; urgency=high

  * Fix patch for CVE-2017-16927. (Closes: #884702)
    + Off-by-one mistake could crash xrdp in some cases.

 -- Dominik George <natureshadow@debian.org>  Thu, 12 Apr 2018 23:43:25 +0200

xrdp (0.9.1-9+deb9u2) stretch; urgency=medium

  * Fix CVE-2017-16927. (Closes: #882463)
  * Fix high CPU load on ssl_tls_accept. (Closes: #884453)

 -- Dominik George <nik@naturalnet.de>  Fri, 15 Dec 2017 19:28:28 +0100

xrdp (0.9.1-9+deb9u1) stretch; urgency=medium

  * Fix high CPU load on SSL shutdown. (Closes: #876976)
    + xrdp could in some situations cause permanent high load on a
      system if an SSL shutdown got into an endless loop.

 -- Dominik George <nik@naturalnet.de>  Wed, 18 Oct 2017 11:56:31 +0200

xrdp (0.9.1-9) unstable; urgency=high

  * Revisit incomplete fix for CVE-2017-6967. (Closes: #858143)

 -- Dominik George <nik@naturalnet.de>  Thu, 04 May 2017 18:59:10 +0200

xrdp (0.9.1-8) unstable; urgency=medium

  * Fix CVE-2017-6967. (Closes: #858143, #855536)

 -- Dominik George <nik@naturalnet.de>  Mon, 24 Apr 2017 20:14:36 +0200

xrdp (0.9.1-7) unstable; urgency=medium

  * Fix RFX with large tile sets, e.g. full HD displays. (Closes: #855387)

 -- Dominik George <nik@naturalnet.de>  Sat, 18 Feb 2017 16:46:17 +0100

xrdp (0.9.1-6) unstable; urgency=medium

  * Fix japanese keyboard detection. (Closes: #854847)

 -- Dominik George <nik@naturalnet.de>  Mon, 13 Feb 2017 21:09:43 +0100

xrdp (0.9.1-5) unstable; urgency=medium

  * Ensure creation of /run directory. (Closes: #854548)

 -- Dominik George <nik@naturalnet.de>  Thu, 09 Feb 2017 12:47:36 +0100

xrdp (0.9.1-4) unstable; urgency=high

  [ Thorsten Glaser ]
  * Fix up PAM conffile handling for upgrades from jessie{,-backports}.
  * Fix build on non-linux architectures. (Closes: #831663)
    + Don’t use FUSE on the Hurd, it does not support enough of it yet.
    + Add GNU/kFreeBSD support to NASM format detection autoconfigury.
  * Remove patch to make stack not executable in *.asm files; upstrem
    fixed this already.
  * Enable Large File Support, as pointed out by lintian.
  * Disable assembly code on any-i386 for now, it must be ported
    (partially rewritten) for PIC support.

  [ Dominik George ]
  * Update/minimise systemd service file patch.
    + Also moves sockpath related part to sockpath patch.
  * Switch back to compat level 10.

 -- Dominik George <nik@naturalnet.de>  Wed, 25 Jan 2017 18:10:11 +0100

xrdp (0.9.1-3) unstable; urgency=medium

  * Fix up last changelog entry.
  * Update bug-control.
    + Report status of xserver-xorg-legacy.

 -- Dominik George <nik@naturalnet.de>  Sun, 15 Jan 2017 00:30:44 +0100

xrdp (0.9.1-2) unstable; urgency=medium

  * Do not ship initial cert/key generated during build.
     + Makes build reproducible.

 -- Dominik George <nik@naturalnet.de>  Sun, 01 Jan 2017 11:58:02 +0100

xrdp (0.9.1-1) unstable; urgency=medium

  [ Dominik George ]

  * New upstream release.
    + Now has an upstream changelog.
    + Enables xauth cookies to prevent unauthorised X server access.
    + Enables libpainter for clients not supporting drawing orders.
      + Fixes MS RDP client on Android and others.
  * Replaced debian/rules get-orig-source with uscan.
  * Re-enabled watch file.
  * Turned into MUT package.
    + Incorporates xorgxrdp 0.2.0.
  * Update list of keymap conffiles to be removed on upgrade.
    (Closes: #845701, #847844)
  * Move back to compat level 9 to allow easier backporting.
  * Update VCS fields due to pkg-remote repo space restructuring.

  [ Thorsten Glaser ]

  * xrdp Recommends fuse, so that remote drive sharing actually works.

 -- Dominik George <nik@naturalnet.de>  Fri, 23 Dec 2016 11:59:32 +0100
