=== debian/control ===
Source: xrdp
Maintainer: Debian Remote Maintainers <pkg-remote-team@lists.alioth.debian.org>
Uploaders:
 Dominik George <nik@naturalnet.de>,
 Andreas Tille <tille@debian.org>,
 Mike Gabriel <sunweaver@debian.org>,
 Thorsten Glaser <tg@mirbsd.de>,
Section: net
Priority: optional
Build-Depends:
 autoconf (>= 2.59),
 automake (>= 1.6),
 debhelper (>= 10),
 libfuse-dev [!hurd-any],
 libjpeg-dev,
 libopus-dev,
 libpam0g-dev,
 libssl-dev,
 libtool,
 libx11-dev,
 libxfixes-dev,
 libxrandr-dev,
# for now; see debian/rules for details
 nasm [amd64 kfreebsd-amd64],
 openssl,
 pkg-config,
 systemd [linux-any],
 x11-utils,
 xserver-xorg-core,
 xserver-xorg-dev,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-remote/xrdp.git
Vcs-Git: https://anonscm.debian.org/git/pkg-remote/xrdp.git
Homepage: http://xrdp.sourceforge.net

Package: xrdp
Architecture: any
Depends:
 adduser,
 lsb-base (>= 3.0-6),
 ssl-cert,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fuse [!hurd-any],
 xorgxrdp,
Suggests:
 guacamole,
Description: Remote Desktop Protocol (RDP) server
 xrdp offers a graphical login to a remote client using
 RDP (the Remote Desktop Protocol). xrdp can connect to
 a locally created X.org session with the xorgxrdp drivers,
 to a VNC X11 server, and forward to another RDP server.
 .
 xrdp accepts connections from freerdp, rdesktop, and the
 built-in terminal server / remote desktop clients of
 Microsoft Windows operating systems.
 In the xorgxrdp (which replaces X11RDP) and VNC modes,
 it provides a fully functional Linux terminal server,
 offering an X-Window desktop to the user. In the RDP
 or VNC forwarding mode, any sort of desktop can be used.

Package: xorgxrdp
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${xdriver:Depends},
Recommends:
 xorg,
Provides:
 xorg-driver-input,
 xorg-driver-video,
Description: Remote Desktop Protocol (RDP) modules for X.org
 xorgxrdp is a set of drivers (screen device, keyboard, and mouse)
 for X.org enabling use through an RDP session with xrdp. For full
 operation, most standard X11 fonts and tools need to be installed;
 the Recommended xorg metapackage is a superset of what’s actually
 needed but will do.
