## xrdp 0.9.4

=== debian/changelog ===
xrdp (0.9.4-3) unstable; urgency=high

  * Fix regression introduced by last upload. (Closes: #884702)
    + Upstream's patch for CVE-2017-16927 turned out to be broken.
      Thanks to Willem Mulder for reporting.

 -- Dominik George <nik@naturalnet.de>  Wed, 20 Dec 2017 19:40:16 +0100

xrdp (0.9.4-2) unstable; urgency=high

  [ Dominik George ]
  * Fix typo in previous changelog.
  * Fix CVE-2017-16927. (Closes: #882463)
  * Bump Standards-Version.
    + No changes needed.

  [ Thorsten Glaser ]
  * Place missing log_end_msg in init script.
  * Run libpainter/bootstrap as well.
  * Re-enable SIMD on any-i386.
  * Cherry-pick missing parts from experimental branch.
  * Fix another typo in previous changelog.

 -- Dominik George <nik@naturalnet.de>  Fri, 15 Dec 2017 02:10:18 +0100

xrdp (0.9.4-1) unstable; urgency=medium

  * New upstream version. (Closes: #876976, #858098, #864230, #867494)
    + Includes xorgxrdp 0.2.4.
    + Refreshed patches.
    + Updated d/copyright.
    + Japanese keyboard patch is not needed anymore, applied upstream.
    + High resolution RFX patch is not needed anymore, applied upstream.
    + FreeBSD patch is not needed anymore, applied upstream.
    + Socket path patch is not needed anymore, made configurable upstream.
    + CVE-2017-6967 patch is not needed anymore, applied upstream.
  * Update to policy version 4.1.1 (no changes needed).

 -- Dominik George <nik@naturalnet.de>  Mon, 09 Oct 2017 19:00:08 +0200
