=== debian/control ===
--- 
+++ 
@@ -20,15 +20,14 @@
  libx11-dev,
  libxfixes-dev,
  libxrandr-dev,
-# for now; see debian/rules for details
- nasm [amd64 kfreebsd-amd64],
+ nasm [amd64 hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386],
  openssl,
  pkg-config,
  systemd [linux-any],
  x11-utils,
  xserver-xorg-core,
  xserver-xorg-dev,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-remote/xrdp.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-remote/xrdp.git
 Homepage: http://xrdp.sourceforge.net
