=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Build-Depends:
  autoconf (>= 2.59),
  automake (>= 1.6),
- debhelper (>= 10),
+ debhelper (>= 11~),
  libfuse-dev [!hurd-any],
  libjpeg-dev,
  libopus-dev,
@@ -27,7 +27,7 @@
  x11-utils,
  xserver-xorg-core,
  xserver-xorg-dev,
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-remote/xrdp.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-remote/xrdp.git
 Homepage: http://xrdp.sourceforge.net
@@ -45,6 +45,7 @@
  xorgxrdp,
 Suggests:
  guacamole,
+ xrdp-pulseaudio-installer
 Description: Remote Desktop Protocol (RDP) server
  xrdp offers a graphical login to a remote client using
  RDP (the Remote Desktop Protocol). xrdp can connect to
@@ -76,3 +77,52 @@
  operation, most standard X11 fonts and tools need to be installed;
  the Recommended xorg metapackage is a superset of what’s actually
  needed but will do.
+
+Package: xrdp-pulseaudio-installer
+Architecture: any
+Depends:
+ ${misc:Depends},
+ build-essential,
+ devscripts,
+ pulseaudio,
+# These must match the build dependencies of the pulseaudio package
+# They have been stable for at least two years, though
+ intltool,
+ libasound2-dev (>= 1.0.24) [linux-any],
+ libasyncns-dev,
+ libavahi-client-dev,
+ libbluetooth-dev (>= 4.99) [linux-any] <!stage1>,
+ libsbc-dev [linux-any],
+ libcap-dev [linux-any],
+ libfftw3-dev,
+ libgconf2-dev,
+ libglib2.0-dev,
+ libgtk-3-dev,
+ libice-dev,
+ libjack-dev,
+ libjson-c-dev (>= 0.11),
+ liblircclient-dev,
+ libltdl-dev (>= 2.2.6a-2),
+ liborc-0.4-dev (>= 1:0.4.11),
+ libsamplerate0-dev,
+ libsndfile1-dev (>= 1.0.20),
+ libsoxr-dev (>= 0.1.1),
+ libspeexdsp-dev (>= 1.2~rc1),
+ libssl-dev,
+ libsystemd-dev [linux-any],
+ libtdb-dev [!hurd-any],
+ libudev-dev (>= 143) [linux-any],
+ libwebrtc-audio-processing-dev (>= 0.2) [linux-any],
+ libwrap0-dev,
+ libx11-xcb-dev,
+ libxcb1-dev (>= 1.6),
+ libxtst-dev
+Description: Remote Desktop Protocol (RDP) server - PulseAudio module installer
+ xrdp offers a graphical login to a remote client using
+ RDP (the Remote Desktop Protocol). xrdp can connect to
+ a locally created X.org session with the xorgxrdp drivers,
+ to a VNC X11 server, and forward to another RDP server.
+ .
+ This package contains a utility to build the PulseAudio modules
+ needed to use the RDP sound channel from the X session, and the code
+ of the modules the script uses for the build.
