=== debian/rules ===
--- 
+++ 
@@ -52,6 +52,7 @@
 	    --enable-rfxcodec \
 	    --enable-opus \
 	    --enable-painter \
+	    --enable-vsock \
 	    ${CONFIGURE_ARGS}
 	cd xorgxrdp && ./configure \
 	    ${CONFIGURE_ARGS}
@@ -91,8 +92,8 @@
 override_dh_installinit:
 	dh_installinit --no-restart-on-upgrade
 
-override_dh_systemd_start:
-	dh_systemd_start --no-restart-on-upgrade
+override_dh_installsystemd:
+	dh_installsystemd --no-restart-on-upgrade
 
 override_dh_shlibdeps:
 	# That's a plugin, use appropriate warning level:
