## xrdp 0.9.6

=== debian/changelog ===
xrdp (0.9.6-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Dominik George <natureshadow@debian.org>  Thu, 12 Apr 2018 16:06:20 +0200

xrdp (0.9.6-1) unstable; urgency=medium

  * Salsa migration.
    + Change VCS-URLs.
    * Change team mailing list in Maintainer field.
  * New upstream release.
  * Split xorgxrdp out into separate source package.
  * Update my mail address in Uploaders.

 -- Dominik George <natureshadow@debian.org>  Sat, 31 Mar 2018 19:39:03 +0200

xrdp (0.9.4-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Dominik George <nik@naturalnet.de>  Mon, 16 Oct 2017 10:35:52 +0200
