=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: xrdp
-Maintainer: Debian Remote Maintainers <pkg-remote-team@lists.alioth.debian.org>
+Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
 Uploaders:
- Dominik George <nik@naturalnet.de>,
+ Dominik George <natureshadow@debian.org>,
  Andreas Tille <tille@debian.org>,
  Mike Gabriel <sunweaver@debian.org>,
  Thorsten Glaser <tg@mirbsd.de>,
@@ -24,12 +24,9 @@
  openssl,
  pkg-config,
  systemd [linux-any],
- x11-utils,
- xserver-xorg-core,
- xserver-xorg-dev,
 Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-remote/xrdp.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-remote/xrdp.git
+Vcs-Browser: https://salsa.debian.org/debian-remote-team/xrdp/tree/stretch-backports
+Vcs-Git: https://salsa.debian.org/debian-remote-team/xrdp.git -b stretch-backports
 Homepage: http://xrdp.sourceforge.net
 
 Package: xrdp
@@ -59,24 +56,6 @@
  it provides a fully functional Linux terminal server,
  offering an X-Window desktop to the user. In the RDP
  or VNC forwarding mode, any sort of desktop can be used.
-
-Package: xorgxrdp
-Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
- ${xdriver:Depends},
-Recommends:
- xorg,
-Provides:
- xorg-driver-input,
- xorg-driver-video,
-Description: Remote Desktop Protocol (RDP) modules for X.org
- xorgxrdp is a set of drivers (screen device, keyboard, and mouse)
- for X.org enabling use through an RDP session with xrdp. For full
- operation, most standard X11 fonts and tools need to be installed;
- the Recommended xorg metapackage is a superset of what’s actually
- needed but will do.
 
 Package: xrdp-pulseaudio-installer
 Architecture: any
