## xrdp 0.9.8

=== debian/changelog ===
xrdp (0.9.8-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Dominik George <natureshadow@debian.org>  Thu, 27 Sep 2018 10:41:18 +0200

xrdp (0.9.8-2) unstable; urgency=medium

  * Bring back pulse module path patch.

 -- Dominik George <natureshadow@debian.org>  Thu, 27 Sep 2018 10:34:12 +0200

xrdp (0.9.8-1) unstable; urgency=medium

  * New upstream version. (Closes: #885029)
    + Heads up: This disables TLSv1 and TLSv1.1 by default!
    + PulseAudio modules are not part of this source anymore. (Closes: #902004)
  * Bump Standards-Version to 4.2.1.
    + No changes required.
  * Refresh patches.
  * Update copyright.
    + Remove xorg/* files as x11rdp was removed from sources.
    + Remove sesman/chansrv/pulse/* as it was removed from the sources.
    + Add minor new instfiles.

 -- Dominik George <natureshadow@debian.org>  Wed, 26 Sep 2018 21:58:17 +0200
