=== debian/control ===
Source: xrdp
Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
Uploaders:
 Dominik George <natureshadow@debian.org>,
 Andreas Tille <tille@debian.org>,
 Mike Gabriel <sunweaver@debian.org>,
 Thorsten Glaser <tg@mirbsd.de>,
Section: net
Priority: optional
Build-Depends:
 autoconf (>= 2.59),
 automake (>= 1.6),
 debhelper (>= 11~),
 libfuse-dev [!hurd-any],
 libjpeg-dev,
 libopus-dev,
 libpam0g-dev,
 libssl-dev,
 libtool,
 libx11-dev,
 libxfixes-dev,
 libxrandr-dev,
 nasm [amd64 hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386],
 openssl,
 pkg-config,
 systemd [linux-any],
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/debian-remote-team/xrdp/tree/stretch-backports
Vcs-Git: https://salsa.debian.org/debian-remote-team/xrdp.git -b stretch-backports
Homepage: http://xrdp.sourceforge.net

Package: xrdp
Architecture: any
Depends:
 adduser,
 lsb-base (>= 3.0-6),
 ssl-cert,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fuse [!hurd-any],
 xorgxrdp,
Suggests:
 guacamole,
 xrdp-pulseaudio-installer
Description: Remote Desktop Protocol (RDP) server
 xrdp offers a graphical login to a remote client using
 RDP (the Remote Desktop Protocol). xrdp can connect to
 a locally created X.org session with the xorgxrdp drivers,
 to a VNC X11 server, and forward to another RDP server.
 .
 xrdp accepts connections from freerdp, rdesktop, and the
 built-in terminal server / remote desktop clients of
 Microsoft Windows operating systems.
 In the xorgxrdp (which replaces X11RDP) and VNC modes,
 it provides a fully functional Linux terminal server,
 offering an X-Window desktop to the user. In the RDP
 or VNC forwarding mode, any sort of desktop can be used.
