## xrdp 0.9.9

=== debian/changelog ===
xrdp (0.9.9-1) unstable; urgency=medium

  [ Thorsten Glaser ]
  * Fix errorlevel returned by init script in case of errors.
  * Correct asymmetry in init script try-restart message verbosity.

  [ Dominik George ]
  * New upstream version.
    + Adds Spanish Latina American keymap. (Closes: #911902)
  * Refresh patches.

 -- Dominik George <natureshadow@debian.org>  Sun, 13 Jan 2019 13:49:36 +0100
