## xrdp 0.9.12

=== tests/memtest/Makefile ===

OBJS = libmem.o memtest.o

#CFLAGS = -O2 -Wall
CFLAGS = -g

all: memtest

memtest: $(OBJS)
	$(CC) -o memtest $(OBJS)

clean:
	rm -f $(OBJS) librdp.a
