=== debian/changelog ===
xrdp (0.9.12-1) unstable; urgency=low

  * Update Homepage link
  * New upstream version (Closes: #925890)
  * Bump Policy & debhelper; update build system
  * Address lintian’s concerns, update lintian overrides
  * d/p/document-certs.diff: Address #860890 with documentation
  * d/xrdp.init: redirect xrdp stdout into nirvana (Closes: #883358)

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 11 Jan 2020 02:40:04 +0100
