=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Build-Depends:
  autoconf (>= 2.59),
  automake (>= 1.6),
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  libfuse-dev [!hurd-any],
  libjpeg-dev,
  libopus-dev,
@@ -24,13 +24,15 @@
  openssl,
  pkg-config,
  systemd [linux-any],
-Standards-Version: 4.2.1
-Vcs-Browser: https://salsa.debian.org/debian-remote-team/xrdp/tree/stretch-backports
-Vcs-Git: https://salsa.debian.org/debian-remote-team/xrdp.git -b stretch-backports
-Homepage: http://xrdp.sourceforge.net
+Homepage: http://www.xrdp.org/
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/debian-remote-team/xrdp
+Vcs-Git: https://salsa.debian.org/debian-remote-team/xrdp.git
 
 Package: xrdp
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends:
  adduser,
  lsb-base (>= 3.0-6),
