## xrdp 0.9.15

=== debian/changelog ===
xrdp (0.9.15-1ubuntu1) impish; urgency=medium

  * debian/patches/known-arch-list.diff: fix build failure on ppc64el
    and s390x due to unknown arch.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 29 Sep 2021 10:29:28 -0700

xrdp (0.9.15-1) unstable; urgency=medium

  [ Thorsten Glaser ]
  * Do not source /etc/profile twice in startwm.sh
  * Drop xrdp-pulseaudio-installer (defunct) from Suggests
  * README.Debian: Link current pulseaudio-module-xrdp instructions
  * d/p/pulse-debian.patch: Update comment w.r.t. the above

  [ Dominik George ]
  * New upstream release.
  * Bump Standards-Version.
    + No changes needed.
  * Refresh patches.
  * Add new files to d/copyright.

 -- Dominik George <natureshadow@debian.org>  Mon, 01 Mar 2021 22:27:36 +0100
