=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: xrdp
-Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
 Uploaders:
  Dominik George <natureshadow@debian.org>,
  Andreas Tille <tille@debian.org>,
@@ -25,7 +26,7 @@
  pkg-config,
  systemd [linux-any],
 Homepage: http://www.xrdp.org/
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-remote-team/xrdp
 Vcs-Git: https://salsa.debian.org/debian-remote-team/xrdp.git
@@ -44,7 +45,6 @@
  xorgxrdp,
 Suggests:
  guacamole,
- xrdp-pulseaudio-installer
 Description: Remote Desktop Protocol (RDP) server
  xrdp offers a graphical login to a remote client using
  RDP (the Remote Desktop Protocol). xrdp can connect to
