## xrdp 0.9.17

=== debian/changelog ===
xrdp (0.9.17-2ubuntu3) jammy; urgency=medium

  * d/p/lp-1960174-Add-and-build-forgotten-rfb_c-to-fix-loading-of-libvnc_so.patch
    Add missing vnc/rfb.c in source code (LP: #1960174)

 -- Joao Andre Simioni <joao.simioni@canonical.com>  Mon, 10 Mar 2025 01:00:59 -0300

xrdp (0.9.17-2ubuntu2) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:38:50 +0000

xrdp (0.9.17-2ubuntu1) jammy; urgency=medium

  * d/rules: add -Wno-error=deprecated-declarations to fix the build
    against OpenSSL 3.0

 -- Simon Chopin <simon.chopin@canonical.com>  Tue, 07 Dec 2021 16:38:25 +0100

xrdp (0.9.17-2build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 24 Nov 2021 12:27:14 +0100

xrdp (0.9.17-2) unstable; urgency=medium

  * Initialise the environment properly (Closes: #996418, #984782)
    (LP#1911435)

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 28 Oct 2021 18:37:04 +0200

xrdp (0.9.17-1) unstable; urgency=medium

  * New upstream release. (Closes: #983843, #970380)
    + Refresh patches.
    + Build-dep on check for unit tests.
    + Update d/copyright.
  * Bump Standards-Version to 4.6.0 (no changes needed).
  * Do not rm_conffile /etc/pam.d/xrdp-sesman.

 -- Dominik George <natureshadow@debian.org>  Wed, 29 Sep 2021 11:45:06 +0200
