=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,28 @@
 #!/usr/bin/make -f
 
-DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
-DEB_BUILD_MAINT_OPTIONS=hardening=+all
+ifeq (,$(filter terse,${DEB_BUILD_OPTIONS}))
+export DH_VERBOSE=1
+export V=1
+export VERBOSE=1
+endif
 
+LC_ALL:=C.UTF-8
+export LC_ALL
+
+shellescape='$(subst ','\'',$(1))'
+shellexport=$(1)=$(call shellescape,${$(1)})
+
+OUR_CPPFLAGS:= -Wno-error=deprecated-declarations
+OUR_CFLAGS:=
+OUR_LDFLAGS:=		-Wl,--as-needed
+
+include /usr/share/dpkg/buildtools.mk
+
+dpkgbuildflagsmkescape=$(subst \,\\\,$(1))
+export DEB_BUILD_MAINT_OPTIONS:=hardening=+all
+export DEB_CPPFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_CPPFLAGS})
+export DEB_CFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_CFLAGS})
+export DEB_LDFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_LDFLAGS})
 DPKG_EXPORT_BUILDFLAGS:=1
 include /usr/share/dpkg/default.mk
 
@@ -21,7 +41,7 @@
 			--libexecdir=\$${prefix}/lib/${DEB_HOST_MULTIARCH} \
 			--disable-maintainer-mode \
 			--disable-dependency-tracking \
-			--with-socketdir=/var/run/xrdp/sockdir
+			--with-socketdir=/run/xrdp/sockdir
 
 ifneq (${DEB_BUILD_GNU_TYPE},${DEB_HOST_GNU_TYPE})
 CONFIGURE_ARGS+=	--host=${DEB_HOST_GNU_TYPE}
@@ -83,7 +103,7 @@
 	dh_installchangelogs --remaining-packages
 
 override_dh_installinit:
-	dh_installinit --no-restart-on-upgrade
+	dh_installinit --no-stop-on-upgrade
 
 override_dh_installsystemd:
-	dh_installsystemd --no-restart-on-upgrade
+	dh_installsystemd --no-stop-on-upgrade
