## xrdp 0.9.19

=== debian/changelog ===
xrdp (0.9.19-1) unstable; urgency=medium

  * New upstream version.
  * Acknowledge NMUs - thanks to arnaudr and carnil!
  * Drop patch for CVE-2022-23613; included upstream.
  * Refresh patches.
  * Also source ~/.profile in startwm; thanks to Raphaël Halimi
    (Closes: #1005159)
  * Install logrotate configuration; thanks to Evan Linde (Closes: #990806)
  * Update d/copyright.

 -- Dominik George <natureshadow@debian.org>  Fri, 01 Apr 2022 12:08:42 +0200

xrdp (0.9.17-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Import upstream patch to fix CVE-2022-23613 (Closes: #1005304)

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 01 Apr 2022 09:34:47 +0700

xrdp (0.9.12-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * xrdp-sesman can be crashed remotely over port 3350 (CVE-2020-4044)
    (Closes: #964573)
  * Fixed CVE-2020-4044 CI errors

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 19 Jul 2020 17:11:20 +0200
