=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: xrdp
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
+Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
 Uploaders:
  Dominik George <natureshadow@debian.org>,
- Andreas Tille <tille@debian.org>,
  Mike Gabriel <sunweaver@debian.org>,
  Thorsten Glaser <tg@mirbsd.de>,
 Section: net
@@ -11,6 +9,7 @@
 Build-Depends:
  autoconf (>= 2.59),
  automake (>= 1.6),
+ check,
  debhelper-compat (= 12),
  libfuse-dev [!hurd-any],
  libjpeg-dev,
@@ -26,7 +25,7 @@
  pkg-config,
  systemd [linux-any],
 Homepage: http://www.xrdp.org/
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-remote-team/xrdp
 Vcs-Git: https://salsa.debian.org/debian-remote-team/xrdp.git
