=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
  pkg-config,
  systemd [linux-any],
 Homepage: http://www.xrdp.org/
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-remote-team/xrdp
 Vcs-Git: https://salsa.debian.org/debian-remote-team/xrdp.git
