=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
  Dominik George <natureshadow@debian.org>,
  Mike Gabriel <sunweaver@debian.org>,
  Thorsten Glaser <tg@mirbsd.de>,
+ Alex Myczko <tar@debian.org>,
 Section: net
 Priority: optional
 Build-Depends:
@@ -22,10 +23,10 @@
  libxrandr-dev,
  nasm [amd64 hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386],
  openssl,
- pkg-config,
+ pkgconf,
  systemd [linux-any],
 Homepage: http://www.xrdp.org/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-remote-team/xrdp
 Vcs-Git: https://salsa.debian.org/debian-remote-team/xrdp.git
@@ -35,12 +36,13 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends:
  adduser,
- lsb-base (>= 3.0-6),
+ sysvinit-utils (>= 3.06-4),
  ssl-cert,
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
  fuse [!hurd-any],
+ pipewire-module-xrdp,
  xorgxrdp,
 Suggests:
  guacamole,
