=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 shellescape='$(subst ','\'',$(1))'
 shellexport=$(1)=$(call shellescape,${$(1)})
 
-OUR_CPPFLAGS:= -Wno-error=deprecated-declarations
+OUR_CPPFLAGS:=
 OUR_CFLAGS:=
 OUR_LDFLAGS:=		-Wl,--as-needed
