=== debian/watch ===
version=4
https://github.com/neutrinolabs/@PACKAGE@/releases .*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
             https://github.com/neutrinolabs/@PACKAGE@/tags \
             (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
