## xrdp 0.9.27

=== debian/changelog ===
xrdp (0.9.27-0kali1) kali-dev; urgency=medium

  * New upstream version 0.9.27
  * Adjust patches

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 12 Feb 2026 14:59:13 +0700

xrdp (0.9.24-5) unstable; urgency=medium

  * d/control: switch Build-Depends to systemd-dev.

 -- Alex Myczko <tar@debian.org>  Thu, 16 May 2024 12:42:26 +0000
