=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
  debhelper-compat (= 12),
  libfuse-dev [!hurd-any],
  libjpeg-dev,
+ libcmocka-dev,
  libopus-dev,
  libpam0g-dev,
  libssl-dev,
@@ -25,7 +26,7 @@
  openssl,
  pkgconf,
  systemd [linux-any],
-Homepage: http://www.xrdp.org/
+Homepage: https://www.xrdp.org/
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-remote-team/xrdp
@@ -42,7 +43,6 @@
  ${shlibs:Depends},
 Recommends:
  fuse [!hurd-any],
- pipewire-module-xrdp,
  xorgxrdp,
 Suggests:
  guacamole,
